Appearance
Upload an image for a specific block
POST
https://api-sites.transkribus.eu/v2/sites/{siteId}/versions/{versionId}/pages/{pageId}/blocks/{blockId}/imageUpload an image for a block. The image URL is stored directly in block.config[configKey]. This keeps block images separate from site-level images.
Parameters
Path Parameters
siteId*
Type
Requiredinteger
versionId*
Must be a draft version
Type
Requiredinteger
pageId*
Type
Requiredinteger
blockId*
Type
Requiredinteger
Query Parameters
configKey
The config key to store the image URL (e.g., "src", "backgroundImage")
Type
string
Default
"src"Request Body
multipart/form-data
Format
"binary"Responses
Image uploaded and block config updated